Name:           ocaml-lacaml
Version:        7.2.6
Release:        %mkrel 3
Summary:        OCaml-bindings to BLAS and LAPACK
License:        LGPL 2.1 with static compilation exception
Group:          Development/OCaml
URL:            http://mmottl.github.io/lacaml/
Source0:        https://github.com/mmottl/lacaml/releases/download/v%{version}/lacaml-%{version}.tar.gz
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-compiler-libs
BuildRequires:  libblas-devel
BuildRequires:  liblapack-devel
Requires:       libblas
Requires:       liblapack

%description
This OCaml-library interfaces two widely used mathematical FORTRAN-libraries:
 * BLAS (Basic Linear Algebra Subroutines)
 * LAPACK (Linear Algebra PACKage)

This allows developers to write high-performance numerical code for
applications that require linear algebra.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libblas-devel
Requires:       liblapack-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n lacaml-%{version}

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --destdir %{buildroot}

make
make doc
mv _build/API.docdir/ html/

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/lacaml
make install

%files
%doc README.md COPYING.txt AUTHORS.txt CHANGES.txt TODO.md
%dir %{_libdir}/ocaml/lacaml
%{_libdir}/ocaml/lacaml/META
%{_libdir}/ocaml/lacaml/*.cmi
%{_libdir}/ocaml/lacaml/*.cma
%{_libdir}/ocaml/lacaml/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc html/
%doc examples/
%{_libdir}/ocaml/lacaml/*.a
%{_libdir}/ocaml/lacaml/*.cmxa
%{_libdir}/ocaml/lacaml/*.cmx
%{_libdir}/ocaml/lacaml/*.mli
%{_libdir}/ocaml/lacaml/*.ml
%{_libdir}/ocaml/lacaml/*.cmt
%{_libdir}/ocaml/lacaml/*.cmti
%{_libdir}/ocaml/lacaml/*.annot


%changelog
* Thu Nov 24 2016 neoclust <neoclust> 7.2.6-3.mga6
+ Revision: 1069792
- Rebuild against fixed ocaml

* Mon Sep 26 2016 pterjan <pterjan> 7.2.6-2.mga6
+ Revision: 1056412
- Rebuild for fix in ocaml

* Thu Feb 18 2016 daviddavid <daviddavid> 7.2.6-1.mga6
+ Revision: 966077
- new version: 7.2.6
- update Source URL
- update files list for devel subpackage

* Wed Feb 17 2016 umeabot <umeabot> 7.1.3-4.mga6
+ Revision: 964123
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 7.1.3-3.mga5
+ Revision: 745244
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.1.3-2.mga5
+ Revision: 683056
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 7.1.3-1.mga5
+ Revision: 673921
- update to 7.1.3

* Sat Oct 19 2013 umeabot <umeabot> 7.0.9-2.mga4
+ Revision: 536592
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 blue_prawn <blue_prawn> 7.0.9-1.mga4
+ Revision: 484847
- updated to last version 7.0.9

* Fri Aug 09 2013 blue_prawn <blue_prawn> 7.0.7-1.mga4
+ Revision: 465003
- updated to last version 7.0.7

* Sun Jan 13 2013 umeabot <umeabot> 7.0.3-4.mga3
+ Revision: 361428
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 18 2012 malo <malo> 7.0.3-3.mga3
+ Revision: 308016
- fix BuildRequires

  + blue_prawn <blue_prawn>
    - rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 7.0.3-2.mga3
+ Revision: 300441
- new rpm group for ocaml

* Tue Aug 21 2012 blue_prawn <blue_prawn> 7.0.3-1.mga3
+ Revision: 283016
- imported package ocaml-lacaml

